/**
 * Created by zhang on 2018/9/10.
 */

let express = require("express");
let overHeightRouter = express.Router();
import OverHeightController from "../controllers/over_height_controller";
let overHeightController = new OverHeightController();

module.exports =function (app) {

    overHeightRouter.get("/main", overHeightController.auth, overHeightController.init, overHeightController.main);
    overHeightRouter.post("/addLib", overHeightController.auth, overHeightController.init, overHeightController.addLib);
    overHeightRouter.post("/findLib", overHeightController.auth, overHeightController.init, overHeightController.findLib);
    overHeightRouter.post("/saveLib", overHeightController.auth, overHeightController.init, overHeightController.saveLib);
    overHeightRouter.post("/deleteLibByID", overHeightController.auth, overHeightController.init, overHeightController.deleteLibByID);
    overHeightRouter.get("/edit/:libID", overHeightController.auth, overHeightController.init, overHeightController.edit);


    app.use("/overHeight", overHeightRouter);
};
